Package: groovy.util

## [Java] Class ObjectGraphBuilder.ReflectionClassNameResolver

- groovy.util.ObjectGraphBuilder.ReflectionClassNameResolver

- All Implemented Interfaces and Traits:
    ClassNameResolver

      public class ObjectGraphBuilder.ReflectionClassNameResolver
      extends Object
      implements ClassNameResolver

  Build objects using reflection to resolve class names.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ReflectionClassNameResolver(String root)` Parameters: `root` - package where the graph root class is located

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `resolveClassname(String classname)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public ReflectionClassNameResolver(String root)

      Parameters:
        `root` - package where the graph root class is located

  - ### Method Detail

    - #### @Override
      public String resolveClassname(String classname)